Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.deployment
Class BeanShellScript

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.system.ServiceDynamicMBeanSupport
                  org.jboss.varia.deployment.BeanShellScript

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class BeanShellScript
extends org.jboss.system.ServiceDynamicMBeanSupport

A wrapper service that exposes a BeanShell script as a JBoss service mbean.

Version:
  $Revision: 1.2 $
Author:
  Sacha Labourey.
See Also:
  `BeanShellSubDeployer`

Nested Class Summary
`class` | `BeanShellScript.InvocationCouple`

Field Summary
`protected static HashMap` | `basicTypes`
`protected javax.management.ObjectName[]` | `dependsServices`
`protected org.jboss.deployment.DeploymentInfo` | `deploymentInfo`
`protected bsh.Interpreter` | `interpreter`
`protected javax.management.MBeanInfo` | `mbeanInfo`
`protected String` | `name`
`protected javax.management.ObjectName` | `preferedObjectName`
`protected ScriptService` | `scriptService`
`protected HashMap` | `supportedInterfaces`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`BeanShellScript(org.jboss.deployment.DeploymentInfo di)`

Method Summary
`protected void` | `createService()`
`protected void` | `destroyService()`
`protected javax.management.MBeanInfo` | `generateMBeanInfo(Class[] intfs)`
`javax.management.ObjectName[]` | `getDependsServices()`
`protected Object` | `getInternalAttribute(String attribute)`
`javax.management.MBeanInfo` | `getMBeanInfo()`
`javax.management.ObjectName` | `getPreferedObjectName()`
`protected Object` | `internalInvoke(String actionName, Object[] params, String[] signature)`
`protected void` | `loadScript(URL url)`
`protected BeanShellScript.InvocationCouple` | `retrieveCompatibleInvocation(String name, Class[] signature)`
`protected BeanShellScript.InvocationCouple` | `retrieveCompatibleInvocation(String name, String[] signature)`
`protected void` | `setInternalAttribute(javax.management.Attribute attribute)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceDynamicMBeanSupport
`getAttribute, getAttributes, getInternalAttributeInfo, getInternalConstructorInfo, getInternalDescription, getInternalNotificationInfo, getInternalOperationInfo, invoke, setAttribute, setAttributes`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deploymentInfo

    protected org.jboss.deployment.DeploymentInfo deploymentInfo

### name

    protected String name

### interpreter

    protected bsh.Interpreter interpreter

### scriptService

    protected ScriptService scriptService

### preferedObjectName

    protected javax.management.ObjectName preferedObjectName

### dependsServices

    protected javax.management.ObjectName[] dependsServices

### supportedInterfaces

    protected HashMap supportedInterfaces

### mbeanInfo

    protected javax.management.MBeanInfo mbeanInfo

### basicTypes

    protected static HashMap basicTypes

Constructor Detail

### BeanShellScript

    public BeanShellScript(org.jboss.deployment.DeploymentInfo di)
                    throws org.jboss.deployment.DeploymentException

Method Detail

### getInternalAttribute

    protected Object getInternalAttribute(String attribute)
                                   throws javax.management.AttributeNotFoundException,
                                          javax.management.MBeanException,
                                          javax.management.ReflectionException

  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setInternalAttribute

    protected void setInternalAttribute(javax.management.Attribute attribute)
                                 throws javax.management.AttributeNotFoundException,
                                        javax.management.InvalidAttributeValueException,
                                        javax.management.MBeanException,
                                        javax.management.ReflectionException

  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### internalInvoke

    protected Object internalInvoke(String actionName,
                                    Object[] params,
                                    String[] signature)
                             throws javax.management.MBeanException,
                                    javax.management.ReflectionException

  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

### createService

    protected void createService()
                          throws Exception

  Throws:
    `Exception`

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

### destroyService

    protected void destroyService()
                           throws Exception

  Throws:
    `Exception`

### retrieveCompatibleInvocation

    protected BeanShellScript.InvocationCouple retrieveCompatibleInvocation(String name,
                                                                            String[] signature)
                                                                     throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### retrieveCompatibleInvocation

    protected BeanShellScript.InvocationCouple retrieveCompatibleInvocation(String name,
                                                                            Class[] signature)
                                                                     throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### loadScript

    protected void loadScript(URL url)
                       throws Exception

  Throws:
    `Exception`

### generateMBeanInfo

    protected javax.management.MBeanInfo generateMBeanInfo(Class[] intfs)
                                                    throws javax.management.IntrospectionException

  Throws:
    `javax.management.IntrospectionException`

### getPreferedObjectName

    public javax.management.ObjectName getPreferedObjectName()

### getDependsServices

    public javax.management.ObjectName[] getDependsServices()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.